Subject: Re: bug#20982: 25.0.50; GPG uses GUI dialog box to ask for passphrase

From: Daiki Ueno <[email-masked]>
Date: Mon, 06 Jul 2015 19:57:55 +0900

Mark Karpov <[email-masked]> writes:

> I would like to try this. I have

Thanks.

>   ~ $ gpg --version
>   gpg (GnuPG) 2.1.6
>   libgcrypt 1.6.3
>   Copyright (C) 2015 Free Software Foundation, Inc.
>   License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
>   This is free software: you are free to change and redistribute it.
>   There is NO WARRANTY, to the extent permitted by law.
>   
>   Home: ~/.gnupg
>   Supported algorithms:
>   Pubkey: RSA, ELG, DSA, ECDH, ECDSA, EDDSA
>   Cipher: IDEA, 3DES, CAST5, BLOWFISH, AES, AES192, AES256, TWOFISH,
>           CAMELLIA128, CAMELLIA192, CAMELLIA256
>   Hash: SHA1, RIPEMD160, SHA256, SHA384, SHA512, SHA224
>   Compression: Uncompressed, ZIP, ZLIB, BZIP2
>
> …and Emacs built from git master (head: 8c81ac9 master ; Spelling fixes).
>
> This doesn't seem to work out-of-the-box. What additional steps should
> one undertake to get rid of the dialog box?

First, make sure that your Pinentry is 0.9.5 or later.  Secondly, add
allow-emacs-pinentry to your ~/.gnupg/gpg-agent.conf.  Finally, start
the Emacs Pinentry server with M-x pinentry-start.

Then, you should be able to interact with gpg through minibufer.  Try
M-x shell and run gpg from there (or do M-x epa-encrypt-region, etc.).

If it doesn't work well, let me know (I expect that there are still
rough edges).

Regards,
-- 
Daiki Ueno